<?php

namespace Drupal\token_eca_alter\EventSubscriber;

use Drupal\eca\EventSubscriber\EcaBase;
use Drupal\token_eca_alter\Plugin\ECA\Event\TokenAlterECAEvent;

/**
 * ECA config event subscriber.
 */
class EcaTokenAlterSubscriber extends EcaBase {

  /**
   * {@inheritdoc}
   */
  public static function getSubscribedEvents(): array {
    $events = [];
    foreach (TokenAlterECAEvent::definitions() as $definition) {
      $priority = 0;
      $events[$definition['event_name']][] = ['onEvent', $priority];
    }
    return $events;
  }

}
